Ready for release: v2.2

Update ChangeLog, NEWS, README and configure.ac for the 2.2 release.
parent 881fc610
2017-08-28, iucode_tool v2.2
* README: update for mixed dat and bin Intel releases
* configure: fix handling of --without-foo/--disable-bar
* intel_microcode: fast-track intel_ucode_compare(a, a)
* iucode_tool: fix microcode count when selecting extended signatures
* iucode_tool: rename and document some xx_xtsdeduplist* functions
* configure: support libargp as an alternative to glibc argp
* intel_microcode: do not request inlining for is_zero_checksum()
* iucode_tool: use fprintf(stdout) instead of printf()
* intel_microcode: declare intel_ucode_errstr() as const
* iucode_tool: ensure printf %x args are unsigned
* README: add an example of microcode with multiple sigs
* configure: add --enable-extend-flags to change default build flags
Add a way to not completely override the C/CPP/LDFLAGS configure.ac
would like to set.
* configure: default build to hardened -O3 PIE with lots of warnings
Override the autoconf default CFLAGS, CPPFLAGS and LDFLAGS for a more
optimized, hardened build by default. Also, print the value of these
variables in configure output. The standard methods to override the
default CFLAGS, CPPFLAGS and LDFLAGS in configure still work, and will
bypass the new defaults. Linux distros that override these on every build
should not see any changes. Should the compiler not be detected as
gcc-compatible, no change to CFLAGS/CPPFLAGS/LDFLAGS will be made. Note
that clang is explicitly supported, and works just fine. The build will
default to a baseline of "-O3 -g" and will attempt to selectively enable
several warning options, and several hardening options. configure will
attempt to detect the set of compiler and linker driver flags that would
work. Caveats: autoconf 2.69 and automake 1.13 or later are now
required.
* configure: whitespace fixes and minor cosmetic fixes
2017-02-15, iucode_tool v2.1.2
* iucode_tool: compare payloads of similar (not just duplicate) MCUs
......
v2.2:
* build infrastructure changes: autoconf 2.69 or later, and
automake 1.13 or later are now required. The configure script
will attempt to auto-detect and enable several warning and
hardening options by default if CFLAGS/LDFLAGS are *unset*, or if
given the new --enable-extend-flags option. "-O3" optimization
mode will be used by default. The usual ways to override *FLAGS
are respected by configure and the Makefile.
v2.1.1:
* Fix CVE-2017-0357: iucode_tool: heap buffer overflow on -tr loader
......
......@@ -2,8 +2,8 @@
iucode_tool - Intel® 64 and IA-32 processor microcode tool
Version 2.1.2
February 15th, 2017
Version 2.2
August 28th, 2017
https://gitlab.com/iucode-tool
......
......@@ -17,7 +17,7 @@ dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
AC_PREREQ([2.69])
AC_INIT([iucode_tool], [2.1.2],
AC_INIT([iucode_tool], [2.2],
[https://gitlab.com/iucode-tool/iucode-tool/issues],
[iucode-tool],
[https://gitlab.com/iucode-tool/iucode-tool/wikis/home])
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment